
package com.tmerclub.cloud.combo.model;

import com.tmerclub.cloud.common.model.BaseModel;

import java.io.Serial;
import java.io.Serializable;


/**
 * 套餐商品sku项
 *
 * @author tmerclub
 * @date 2022-08-16 09:18:06
 */
public class ComboSpuSku extends BaseModel implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 套餐商品项id
     */
    private Long comboSpuId;

    /**
     * skuId
     */
    private Long skuId;

    /**
     * 搭配价格
     */
    private Long matchingPrice;

    public Long getComboSpuId() {
        return comboSpuId;
    }

    public void setComboSpuId(Long comboSpuId) {
        this.comboSpuId = comboSpuId;
    }

    public Long getSkuId() {
        return skuId;
    }

    public void setSkuId(Long skuId) {
        this.skuId = skuId;
    }

    public Long getMatchingPrice() {
        return matchingPrice;
    }

    public void setMatchingPrice(Long matchingPrice) {
        this.matchingPrice = matchingPrice;
    }

    @Override
    public String toString() {
        return "ComboSpuSku{" +
                "comboSpuId=" + comboSpuId +
                ",skuId=" + skuId +
                ",matchingPrice=" + matchingPrice +
                '}';
    }
}
